/* Base */

body {
    overflow: overlay;
}

/* If WP-Adminbar is visible */

body.admin-bar {
    #header.fixed-top {
        top: 32px;
    }

    .edit-link a {
        color: #fff !important;
        font-weight: normal !important;
        text-decoration: none !important;

        &::before {
            content: "\270E";
            display: inline-block;
            margin-right: 5px;
        }
    }
}

/* Custom Scrollbar */

@if $custom-scrollbar == true {
    html {
        ::-webkit-scrollbar {
        width: 5px;
        right:5px;
        position:absolute;
        }

        ::-webkit-scrollbar-track {
        }

        ::-webkit-scrollbar-thumb {
          background: color(theme-fourth);
          border-radius:10px;
        }
    }
}

body:has(.dark-mode) {
    ::-webkit-scrollbar {
    width: 5px;
    right:5px;
    position:absolute;
    }

    ::-webkit-scrollbar-track {
    }

    ::-webkit-scrollbar-thumb {
      background: color(theme-primary);
      border-radius:10px;
    }
}